
TYPO3 Flow Base Distribution - Bug # 33410

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2012-01-24 Assigned To: Christian Müller
Updated: 2012-05-21 Due date:
Affected Flow version: Git master
Subject: Production Settings.yaml.example is not useable as is
Description

The Production context Settings.yaml.example contains the following lines:

TYPO3:
  FLOW3:
    persistence:
      backendOptions:
        dbname: 'quickstart' # adjust to your database name
        user: ''             # adjust to your database user
        password: ''         # adjust to your database password
      doctrine:        # If you have APC, you should consider using it for Production,        # also MemcacheCache and XcacheCache
exist.        # cacheImplementation: 'Doctrine\Common\Cache\ApcCache'

If used as is this will clean the doctrine settings as everything below doctrine is commented out, so an empty value is assigned. This
leads to unsuspected errors that are difficult to track down to this.

A safe example should have the doctrine key commented out too.

Associated revisions
Revision b7570a03 - 2012-03-09 18:13 - Christian Müller

[BUGFIX] Make Settings.yaml.example a working example

With this change the Settings.yaml.example can be used as is,
because the key "doctrine" is commented out now.

Fixes: #33410
Change-Id: I86642e462046f0920532dc89157bb86a9a8ec9c4
Releases: 1.0,1.1

Revision 5fbea995 - 2012-04-25 13:28 - Christian Müller

[BUGFIX] Make Settings.yaml.example a working example

With this change the Settings.yaml.example can be used as is,
because the key "doctrine" is commented out now.

Change-Id: I0a5cb4b4b534f9ff2a37ab215d777b36e5ff69df
Fixes: #33410
Releases: 1.0, 1.1
History
#1 - 2012-01-24 11:54 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8673

#2 - 2012-03-07 18:46 - Karsten Dambekalns
- Target version set to 1.0.4

#3 - 2012-03-09 18:13 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8673

#4 - 2012-04-18 22:46 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#5 - 2012-04-25 13:28 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/10754

#6 - 2012-05-21 17:03 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
